BDU:2019-01738: Уязвимость функции chap_server_compute_md5() реализации протокола ISCSI ядра операционных систем Linux, позволяющая нарушителю вызвать отказ в обслуживании или получить доступ к защищаемой информации

Описание уязвимости Уязвимость функции chap_server_compute_md5() реализации протокола ISCSI ядра операционных систем Linux связана с некорректной проверкой границ доступа к памяти, приводящей к чтению за пределами буфера. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, вызвать отказ в обслуживании или получить доступ к защищаемой информации
Вендор Canonical Ltd., Red Hat Inc., Сообщество свободного программного обеспечения
Наименование ПО Ubuntu, Red Hat Enterprise Linux, Debian GNU/Linux, Linux
Версия ПО
  • 12.04 (Ubuntu)
  • 14.04 (Ubuntu)
  • 7.0 (Red Hat Enterprise Linux)
  • 16.04 (Ubuntu)
  • 8.0 (Debian GNU/Linux)
  • 9.0 (Debian GNU/Linux)
  • 18.04 (Ubuntu)
  • 3.10 до 3.10.102 включительно (Linux)
  • 4.14 до 4.14.81 включительно (Linux)
  • 4.18 до 4.18.19 включительно (Linux)
Тип ПО Операционная система
Операционные системы и аппаратные платформы
Данные уточняются
Тип ошибки Выход операции за границы буфера в памяти
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 24.09.2018
Базовый вектор уязвимости
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 8,3)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7)
Возможные меры по устранению уязвимости
Обновление программного обеспечения до более поздней версии
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация -
Последние изменения